﻿
Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid

Class MyCreation
    Implements IUIElementCreationFilter

    Private ColumnName As String

    Sub New(ColumnName As String)
        ' TODO: Complete member initialization 
        Me.ColumnName = ColumnName
    End Sub

    Public Sub AfterCreateChildElements(parent As Infragistics.Win.UIElement) Implements Infragistics.Win.IUIElementCreationFilter.AfterCreateChildElements
        If TypeOf parent Is EditorWithTextDisplayTextUIElement Then
            Dim text As EditorWithTextDisplayTextUIElement = DirectCast(parent, EditorWithTextDisplayTextUIElement)

            If parent.GetAncestor(GetType(EditorWithComboUIElement)) IsNot Nothing Then
                With DirectCast(parent.GetAncestor(GetType(CellUIElement)), CellUIElement)
                    If text IsNot Nothing And (.Cell.Value Is Nothing Or .Cell.Value Is DBNull.Value) Then
                        text.Text = .Cell.Row.Cells(Me.ColumnName).Text
                    End If
                End With
            End If

        End If
    End Sub

    Public Function BeforeCreateChildElements(parent As Infragistics.Win.UIElement) As Boolean Implements Infragistics.Win.IUIElementCreationFilter.BeforeCreateChildElements
        Return False
    End Function
End Class
